Get Detailed Variant Information

Returns detailed information about the variants whose SKUs are provided in the body of the request. This includes the information from [Get Variant Information](#get-variant-information) as well as other variant data that may affect pricing, availability, and other factors. Details provided in the response body are sufficient to quickly add a product to a cart or a quote using appropriate methods. > Note: This endpoint uses the `POST` method, despite its use to only *retrieve* information. Using the `GET` method with this endpoint will return a `200` status, but the `data` field will be empty. Likewise, using `POST` with this endpoint with an empty body will return an empty `data` field. Equivalent Storefront GraphQL API Query: `variantSku`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Request

This endpoint expects an object.
variantSkuslist of stringsOptional
List of variant SKUs for which to fetch detailed information. If this is omitted, the response will be empty.

Response

SUCCESS
codeinteger
HTTP status code of the response.
messagestring
Status message.
datalist of objects
List of product variant info objects.